CREATE TABLE IF NOT EXISTS `#__gasecminutes_meetings` (
`id` int UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT  NOT NULL DEFAULT 0,
`state` TINYINT  NOT NULL DEFAULT 0,
`checked_out` INT  NOT NULL DEFAULT 0,
`checked_out_time` DATETIME NULL,
`created_by` INT  NOT NULL DEFAULT 0,
`created_date` DATETIME NULL,
`modified_by` INT  NOT NULL DEFAULT 0,
`modified_date` DATETIME NULL,
`title` VARCHAR(255) NULL,
`start_date` DATETIME NULL,
`cat_id` INT  NOT NULL DEFAULT 0,
`venue` VARCHAR(255) NULL,
`attendees` VARCHAR(255) NULL,
`apologies` VARCHAR(255) NULL,
`guests` VARCHAR(255) NULL,
`newbies` VARCHAR(255) NULL,
`end_date` DATETIME NULL,
`next_date` DATETIME NULL,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;


INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `content_history_options`)
SELECT * FROM ( SELECT 'Meeting','com_gasecminutes.meeting','{"special":{"dbtable":"#__gasecminutes_meetings","key":"id","type":"MeetingTable","prefix":"GlennArkell\\\\Component\\\\Gasecminutes\\\\Administrator\\\\Table\\\\"}}', CASE
                                WHEN 'rules' is null THEN ''
                                ELSE ''
                                END as rules, CASE
                                WHEN 'field_mappings' is null THEN ''
                                ELSE ''
                                END as field_mappings, '{"formFile":"administrator\/components\/com_gasecminutes\/forms\/meeting.xml", "hideFields":["checked_out","checked_out_time","params","language" ,"comment"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"cat_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"group_id","targetTable":"#__usergroups","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewvenues","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}') AS tmp
WHERE NOT EXISTS (
	SELECT type_alias FROM `#__content_types` WHERE (`type_alias` = 'com_gasecminutes.meeting')
) LIMIT 1;

CREATE TABLE IF NOT EXISTS `#__gasecminutes_secmins` (
`id` int UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT  NOT NULL DEFAULT 0,
`state` TINYINT  NOT NULL DEFAULT 0,
`checked_out` INT  NOT NULL DEFAULT 0,
`checked_out_time` DATETIME NULL,
`created_by` INT  NOT NULL DEFAULT 0,
`created_date` DATETIME NULL,
`modified_by` INT  NOT NULL DEFAULT 0,
`modified_date` DATETIME NULL,
`meet_id` INT  NOT NULL DEFAULT 0,
`cat_id` INT  NOT NULL DEFAULT 0,
`min_details` TEXT NULL ,
`voted` TINYINT  NOT NULL DEFAULT 0,
`moved` VARCHAR(255) NULL,
`seconded` VARCHAR(255) NULL,
`abstains` VARCHAR(255) NULL,
`carried` TINYINT  NOT NULL DEFAULT 0,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;
