<?php
/**
 * @version    0.0.1
 * @package    com_gasecminutes
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2021 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\Session\SessionInterface;
use \Joomla\CMS\Application\SiteApplication;
use \GlennArkell\Component\Gasecminutes\Administrator\Helper\GasecminutesHelper;

//Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_gasecminutes', JPATH_ADMINISTRATOR);

$wa = $this->document->getWebAssetManager()
    ->usePreset('com_gasecminutes.gasecminutespreset');
GasecminutesHelper::loadTmplStyleModal($wa);

if (!isset($this->item->id)) {
    $id = $this->state->get('secmin.id');
    $meet_id = $this->state->get('meeting.id');
} else {
    $id = $this->item->id;
    $meet_id = $this->item->meet_id;
}
$user = GasecminutesHelper::getSpecificUser($id);

// get the current date-time based on timezone
$today = Factory::getDate()->toSql();
$this->form->setFieldAttribute('id', 'default', $id);
$this->form->setFieldAttribute('id', 'type', 'hidden');
$this->form->setFieldAttribute('meet_id', 'default', $meet_id);
$this->form->setFieldAttribute('meet_id', 'type', 'hidden');
$this->form->setFieldAttribute('ordering', 'type', 'hidden');
$this->form->setFieldAttribute('state', 'type', 'hidden');
$this->form->setFieldAttribute('created_date', 'type', 'hidden');
$this->form->setFieldAttribute('modified_date', 'type', 'hidden');

?>

<div class="front-end-edit">
<form
	id="form-secmin" action="<?php echo Route::_('index.php?option=com_gasecminutes&task=secminform.save&tmpl=component'); ?>"
	method="post" class="form-validate form-horizontal" enctype="multipart/form-data" target="_parent">

    <div class="row-fluid">
        <div class="span12 form-horizontal">
			<div class="row-fluid">
				<div class="span10 form-horizontal">
					<fieldset name="general" class="adminform">
						<?php echo $this->form->renderFieldset('sysinfo'); ?>
						<?php echo $this->form->renderFieldset('general'); ?>
						<?php echo $this->form->renderField('min_details'); ?>
						<?php echo $this->form->renderField('comment'); ?>
					</fieldset>
				</div>
			</div>
        </div>
        <p class="center">
            <button type="submit" class="validate btn btn-primary"><?php echo Text::_('JSUBMIT'); ?></button>
        </p>
    </div>
    <div>
        <input type="hidden" name="option" value="com_gasecminutes"/>
        <input type="hidden" name="task" value="secminform.save" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </div>
</form>
</div>
